Status: Closed Start date: 07/03/2017
Priority: Normal Due date:
Assignee: Joaquín  del Cerro Murciano % Done: 0%
Category: CRS Estimated time: 0.00 hour
Target version: 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)Spent time: 0.00 hour
Add-on name: Unknown Add-on code:
Add-on operation requested:Add to add-ons repository
Description

Note1: EPSG Registry v. 9.0 is the same version used by GDAL 2.2

Note2: it's also necessary to update the contents of gdal-data directory in org.gvsig.gdal.app.mainplugin/gdal/bin/gdal-data like in
gvSIG 2.3 (see #4109#note-1) with the gdal-data of GDAL 2.2.

Associated revisions
Revision 728 - 09/04/2017 12:55 PM - Joaquín  del Cerro Murciano

refs  #4527, actualizacion de la BBDD de EPSG por defecto.

Revision 729 - 09/04/2017 12:57 PM - Joaquín  del Cerro Murciano

refs  #4527, actualizacion de la BBDD de EPSG por defecto.

Revision 296 - 09/04/2017 02:12 PM - Joaquín  del Cerro Murciano

refs #4527. Actualizados los autorun y las versiones de los binarios de dal en los poms.

Revision 730 - 09/04/2017 08:25 PM - Joaquín  del Cerro Murciano

refs #4527

History
#1 - 07/20/2017 10:58 AM - Álvaro Anguix
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#2 - 08/29/2017 01:11 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#3 - 09/04/2017 12:04 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to In progress

#4 - 09/04/2017 01:30 PM - Joaquín  del Cerro Murciano
Si no he entendido mal, hay que actualizar la carpeta data de GDAL del plugin de GDAL de gvSIG con lo que contiene la carpeta data de la version
2.2 de GDAL.

Para obtener la carpeta data de GDAL he ido a:
https://trac.osgeo.org/gdal/wiki/DownloadSource

Y he descargado la correspondiente a la version 2.2.1:
http://download.osgeo.org/gdal/2.2.1/gdal-2.2.1.tar.gz

Cogiendo la carpeta data del raiz.

Para realizar el cambio, he renombrado la carpeta "data" o "gdal-data" (segun plataforma) por "data-1.11.XX" y añadido junto a ella la carpeta
"data-2.2.1", y he tocado el "autorun.sh" del plugin de gdal para que asigne a la variable GDAL_DATA la ruta a "data-2.2.1".

Ademas he añadido como BBDD por defecto que lleva el plugin de jcrs la de la version EPSG_v9_0.

Los cambios estan divididos en tres bloques:

    -  Los que afectan a los artefactos maven que hay en "http://devel.gvsig.org/m2repo/j2se/org/gdal/gdal/".

    -  Modificar los autorun.sh de los plugins.

    -  Sustituir la version de la BBDD de EPSG que hay en el proyecto "org.gvsig.projection.app.jcrs.common"

He aumentado la version de los artefactos maven de gdal tanto en el repositorio de maven como en los poms de los plugins de gdal de todas las
plataformas.

En los "autorun.sh" he dejado algo como:

#export GDAL_DATA="${PLUGIN_FOLDER}/gdal/data-1.11.0" 
export GDAL_DATA="${PLUGIN_FOLDER}/gdal/data-2.2.1" 

De forma que se pueda volver facilmente a la version de datos de gdal correspondiente a los binarios en caso de que meter los datos de gdal 2.2
diese problemas.

#5 - 09/04/2017 02:13 PM - Joaquín  del Cerro Murciano
- Status changed from In progress to Fixed

#6 - 09/04/2017 04:05 PM - Antonio Falciano

Hi Joaquín,
thank you very much! It seems that only another update is needed. The EPSG Registry version should be changed to 9.0 in JCRSPluginLibrary.java
just like in #4238:

private static final String EPSG_VERSION = "EPSG_v9_0";

#7 - 09/04/2017 08:26 PM - Joaquín  del Cerro Murciano
https://trac.osgeo.org/gdal/wiki/DownloadSource
http://download.osgeo.org/gdal/2.2.1/gdal-2.2.1.tar.gz


Antonio Falciano wrote:

Hi Joaquín,
thank you very much! It seems that only another update is needed. The EPSG Registry version should be changed to 9.0 in 
JCRSPluginLibrary.java just like in #4238:
[...]

Se ma habia pasado esa.
He modificado el codigo para eliminarla y que la detecte automaticamente.

#8 - 09/05/2017 12:09 PM - Antonio Falciano

Joaquín  del Cerro Murciano wrote:

He modificado el codigo para eliminarla y que la detecte automaticamente.

Better than in the past, nice job!

#9 - 09/06/2017 12:38 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files
gvSIG-desktop-2.4.0-EPSG_v9_0-1.0.0-1-testing-all-all-j1_5.gvspkg 1.04 MB 07/03/2017 Antonio Falciano
